# $Revision: 1.69 $, $Date: 2011/06/30 18:46:30 $
Summary:	Sound player with the WinAmp GUI, for Unix-based systems for GTK+2
Summary(hu.UTF-8):	Zenelejátszó WinAmp-szerű felülettel GTK+2-t használó rendszerekhez
Summary(pl.UTF-8):	Odtwarzacz dźwięku z interfejsem WinAmpa dla GTK+2
Name:		audacious
Version:	2.5.3
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://distfiles.atheme.org/%{name}-%{version}.tar.gz
# Source0-md5:	d61b800e2192007e71088afff9927c84
Patch0:		%{name}-desktop.patch
URL:		http://audacious-media-player.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	dbus-devel >= 0.60
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	home-etc-devel
BuildRequires:	libmowgli-devel >= 0.9.0
BuildRequires:	libstdc++-devel
BuildRequires:	mcs-devel >= 0.4.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-libs = %{version}-%{release}
Requires:	audacious-output-plugin
Requires:	audacious-transport-unix_io
Suggests:	%{name}-general-skins
Obsoletes:	audacious-container-mms
Obsoletes:	audacious-container-stdio
Obsoletes:	audacious-general-audioscrobbler
Obsoletes:	audacious-general-curl
Obsoletes:	audacious-general-vfstrace
Obsoletes:	audacious-input-alac
Obsoletes:	audacious-input-cdaudio
Obsoletes:	audacious-input-cube
Obsoletes:	audacious-input-demac
Obsoletes:	audacious-input-flac
Obsoletes:	audacious-input-mikmod
Obsoletes:	audacious-input-mpc
Obsoletes:	audacious-input-mpg123
Obsoletes:	audacious-input-mplayer
Obsoletes:	audacious-input-musepack
Obsoletes:	audacious-input-sap
Obsoletes:	audacious-input-timidity
Obsoletes:	audacious-input-tta
Obsoletes:	audacious-input-wav
Obsoletes:	audacious-input-wma
Obsoletes:	audacious-output-ALSA
Obsoletes:	audacious-output-OSS
Obsoletes:	audacious-output-arts
Obsoletes:	audacious-output-disk
Obsoletes:	audacious-output-icecast
Obsoletes:	audacious-output-lame
Obsoletes:	audacious-static
Obsoletes:	audacious-transport-curl
Obsoletes:	audacious-visualization-iris
Obsoletes:	audacious-visualization-rootvis
Obsoletes:	audacious-visualization-rovascope
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audacious is a media player based on BMP. Since the development of the
former project had been terminated, this fork was created.

%description -l hu.UTF-8
Audacious egy BMP-n alapuló médialejátszó. Amióta a kiinduló projekt
fejlesztése abbamaradt, ez a leszármazott létrejött.

%description -l pl.UTF-8
Audacious to odtwarzacz mediów oparty na BMP. Powstał on ponieważ
rozwój pierwowzoru został zakończony.

%package libs
Summary:	Audacious media player library
Summary(hu.UTF-8):	Audacious médialejátszó könyvtár
Summary(pl.UTF-8):	Biblioteka odtwarzacza multimedialnego Audacious
Group:		X11/Applications/Sound
Requires:	gtk+2 >= 2:2.6.0
Requires:	libmowgli >= 0.4.0

%description libs
Audacious media player library.

%description libs -l hu.UTF-8
Audacious médialejátszó könyvtár.

%description libs -l pl.UTF-8
Biblioteka odtwarzacza multimedialnego Audacious.

%package devel
Summary:	Header files for Audacious media player
Summary(hu.UTF-8):	Az audacious fejlécfájljai
Summary(pl.UTF-8):	Pliki nagłówkowe odtwarzacza multimedialnego Audacious
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-glib-devel
Requires:	gtk+2-devel >= 2:2.6.0
Requires:	home-etc-devel
Requires:	libmowgli-devel >= 0.4.0
Requires:	mcs-devel

%description devel
Header files required for compiling Audacious media player plugins.

%description devel -l hu.UTF-8
Az audacious fejlécfájljai.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania wtyczek odtwarzacza
multimedialnego Audacious.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/{Container,Effect,General,Input,Output,Transport,Visualization}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
mv $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e << EOF
Remember to install appropriate input plugins for files
you want to play!
EOF

%update_desktop_database_post

%postun
%update_desktop_database_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/audacious
%attr(755,root,root) %{_bindir}/audtool
%{_mandir}/man*/*
%dir %{_datadir}/audacious
%dir %{_datadir}/audacious/images
%{_datadir}/audacious/images/*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/audacious.*
%{_pixmapsdir}/*.png
%{_pixmapsdir}/*.svg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudclient.so.?
%attr(755,root,root) %{_libdir}/libaudcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudcore.so.?
%attr(755,root,root) %{_libdir}/libaudgui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudgui.so.?
%attr(755,root,root) %{_libdir}/libaudtag.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudtag.so.?
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/Container
%dir %{_libdir}/%{name}/Effect
%dir %{_libdir}/%{name}/General
%dir %{_libdir}/%{name}/Input
%dir %{_libdir}/%{name}/Output
%dir %{_libdir}/%{name}/Transport
%dir %{_libdir}/%{name}/Visualization

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudclient.so
%attr(755,root,root) %{_libdir}/libaudcore.so
%attr(755,root,root) %{_libdir}/libaudgui.so
%attr(755,root,root) %{_libdir}/libaudtag.so
%{_includedir}/audacious
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_pkgconfigdir}/audacious.pc
%{_pkgconfigdir}/audclient.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: audacious.spec,v $
Revision 1.69  2011/06/30 18:46:30  marti
- up to 2.5.3
- small correction in source

Revision 1.68  2011/05/23 15:46:51  draenog
- up to 2.5.1

Revision 1.67  2011/05/04 12:34:33  lisu
- place Suggests after Requires

Revision 1.66  2011/05/04 12:19:45  lisu
- updated to 2.5.0
- obsoleted patches: -home_etc.patch and -debug_audtag.patch
- updated version of libmowgli-devel BR
- dropped obsoleted rm
- binaries' names changed

Revision 1.65  2011/03/02 17:25:53  draenog
- up to 2.4.4

Revision 1.64  2011/01/27 19:21:31  draenog
- up to 2.4.3

Revision 1.63  2010/12/29 14:46:48  draenog
- up to 2.4.2
- general-notify plugin is back
- debug_audtag.patch

Revision 1.62  2010/08/27 19:00:20  draenog
- up to 2.4.0
- obsoletes for plugins removed in audacious-plugins-2.4.0

Revision 1.61  2010/08/24 21:32:00  hawk
- release 4

Revision 1.60  2010/05/11 09:26:08  blues
- rel.3 - more obsoletes.

Revision 1.59  2010/04/30 17:19:51  blues
- rel.2 - added obsoletes for removed input plugins (alac, musepack and wma)
  PLEASE: don't forget to put obsoletes somewhere when removing packages!!!

Revision 1.58  2010/04/12 12:50:00  draenog
- audacious can work in headless mode

Revision 1.57  2010/04/10 21:57:50  draenog
- move pt_PT locale to pt

Revision 1.56  2010/04/08 14:37:32  draenog
- up to 2.3
- remove spurious BRs and configure option

Revision 1.55  2010/02/27 21:11:12  sparky
- unify %attr() %ghost order

Revision 1.54  2009/12/31 22:00:48  megabajt
- don't require exact version of audacious-general-skins (comes from another spec)
- release 5

Revision 1.53  2009/12/31 21:26:44  megabajt
- reverted last commit
- removed O: audacious-transport-stdio (audacious requires audacious-transport-gio
  which has P:/O: audacious-transport-stdio, so it can't be obsoleted here as it
  creates conflict between audacious and audacious-transport-gio)
- release 4

Revision 1.52  2009/12/31 19:39:51  arekm
- rel 3; drop some R (seem obsolete)

Revision 1.51  2009/12/31 18:00:01  arekm
- release 2

Revision 1.50  2009/09/30 17:18:05  uzsolt
- hu

Revision 1.49  2009/09/19 22:20:44  arvenil
- added %ghosts
- Obsoletes: audacious-visualization-rootvis
- Obsoletes: audacious-output-arts
- sorted files

Revision 1.48  2009/08/27 12:48:44  duddits
- up to 2.1.0
- gconf bcond obsolete
- R: skins
- transport-stdio replaced by transport-gio
- audacious and audtool binaries renamed to audacious2 and audtool2
- more *.so libraries and %files

Revision 1.47  2008/12/05 20:25:54  hawk
- release 6

Revision 1.46  2008/08/31 19:51:36  arekm
- release 5

Revision 1.45  2008/07/26 20:15:37  megabajt
- release 4

Revision 1.44  2008/07/26 14:43:38  arvenil
- release 3

Revision 1.43  2008/07/22 21:34:28  arvenil
- R: libsamplerate-devel (for -devel)

Revision 1.42  2008/06/17 17:24:14  arekm
- rel 2

Revision 1.41  2008-05-26 20:11:44  arvenil
- up to 1.5.1
- -pc.patch already in source

Revision 1.40  2008-03-17 18:55:21  arvenil
- O: audacious-input-wav
- release 1

Revision 1.39  2008-03-15 09:53:43  arvenil
- restored patch which I remove by mistake in last commit

Revision 1.38  2008-03-15 09:47:35  arvenil
- up to 1.5.0
- NFY

Revision 1.37  2008-02-02 11:03:50  arvenil
- forgot to update md5

Revision 1.36  2008-02-02 11:01:19  arvenil
- up to 1.4.6

Revision 1.35  2008-01-23 20:01:11  qboosh
- dropped unpackaged (and outdated) mp3license file

Revision 1.34  2008-01-19 14:30:50  arvenil
- R: dbus-glib-devel (-devel)
- patch for require dbus-glib in .pc
- release 3

Revision 1.33  2007-12-29 23:28:24  arvenil
- up to 1.4.5

Revision 1.32  2007-12-26 02:14:04  qboosh
- -devel R: libmowgli-devel

Revision 1.31  2007-12-04 18:58:02  arvenil
- up to 1.4.4

Revision 1.30  2007-11-19 12:32:51  arvenil
- up to 1.4.2

Revision 1.29  2007/11/09 18:16:42  arvenil
- forgot to remove some shit
- BR: audacious-transport-stdio
- release 2

Revision 1.28  2007-11-07 17:12:15  arvenil
- merged 1.4.0 from DEVEL
- release 1

Revision 1.24.4.16  2007/11/07 11:49:26  arvenil
- audacious-plugins-ugly is discontinued, obsoletes all this plugins
- fixed commit log

Revision 1.24.4.15  2007/11/07 11:35:46  arvenil
- added obsoletes from plugins packages (audacious-plugins.spec)
- removed TODO (I resign from this idea)

Revision 1.24.4.14  2007/11/06 23:59:47  arvenil
- up to 1.4.0
- NFY

Revision 1.24.4.13  2007/11/04 22:32:22  arvenil
- sr@Latn -> sr@latin (merged from HEAD)

Revision 1.24.4.12  2007/11/04 22:22:46  arvenil
- up to 1.4.0-rc1

Revision 1.24.4.11  2007/10/29 21:56:05  arvenil
- up tp 1.4.0-beta4
- plugins dirs moved to audacious-libs

Revision 1.24.4.10  2007/10/19 13:40:01  arvenil
- up to 1.4.0-beta2

Revision 1.24.4.9  2007/10/15 14:23:29  arvenil
- up to 1.4.0-beta1
- BR: libsamplerate -> libsamplerate-devel
- Obsoletes: audacious-visualization-rovascope

Revision 1.24.4.8  2007/09/14 15:53:45  arvenil
- BR: libsamplerate
- enabled libsamplerate support

Revision 1.24.4.7  2007/09/13 21:39:47  arvenil
- up to 1.4.0-dr4
- BR: mcs-devel >= 0.4.0

Revision 1.24.4.6  2007/09/10 17:06:06  arvenil
- fix for last commit - now missing dir is really added;)

Revision 1.24.4.5  2007/09/10 15:44:41  arvenil
- added mising dir

Revision 1.24.4.4  2007/09/09 23:02:04  arvenil
- up to 1.4.0-dr3

Revision 1.24.4.3  2007/08/11 10:51:27  arvenil
- up to 1.4.0-dr2

Revision 1.24.4.2  2007/07/28 12:11:52  arvenil
- BR: libmowgli-devel (forgot to add)

Revision 1.24.4.1  2007/07/26 18:18:05  arvenil
- up to 1.4.0-dr1

Revision 1.24  2007/04/05 15:38:05  arvenil
- up to 1.3.2

Revision 1.23  2007/03/31 10:16:50  megabajt
- release 2

Revision 1.22  2007/03/22 15:33:16  arvenil
- added "R: mcs-devel" for devel subpackage

Revision 1.21  2007/03/17 13:32:47  sls
- ghost so.X symlink (because I'm not afraid of ghosts)

Revision 1.20  2007/03/16 22:34:29  sls
- adapterized

Revision 1.19  2007/03/16 22:32:10  sls
- package all lib symlinks

Revision 1.18  2007/03/16 22:29:41  sls
- ver. 1.3.1 thanks to Kamil Dziedzic <kamil.listy@klecza.pl>

Revision 1.17  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.15  2006/11/19 14:37:40  megabajt
- updated to 1.2.2
- now all plugins in audacious-plugins.spec
- removed static subpackage

Revision 1.14  2006/08/07 15:30:39  qboosh
- tabs, Mesa -> OpenGL

Revision 1.13  2006/08/04 06:16:50  spider
- up to 1.1.1
- CVE-2006-3581
- CVE-2006-3582
- added new plugins
- removed unneccessary plugins

Revision 1.12  2006/06/09 15:07:53  wolf
- cosmetics

Revision 1.11  2006/02/16 14:28:03  freetz
- dropped evil xmms-themes-dir patch (because is not needed)

Revision 1.10  2006/02/09 22:11:06  freetz
- updated to 0.2, bunch of new BR and plugins added

Revision 1.9  2005/12/18 23:13:01  qboosh
- strict internal deps, BR: libvisual-devel

Revision 1.8  2005/12/15 23:08:22  freetz
- 0.1.2, ladspa/sid/crossfade plugoins added, modplug plugin replaces
  mikmod, disabled gconf/gnome-vfs support (not usable yet, disabled by
  default)

Revision 1.7  2005/11/28 20:51:07  freetz
- icon added

Revision 1.6  2005/11/28 20:38:03  freetz
- more BR/R, unification, banner added, more plugins, sorted descriptions
  and files lists, rel.1

Revision 1.5  2005/11/28 04:40:00  troll
- updated to 0.1.1
- new subpackages: input-wma & input-console

Revision 1.4  2005/11/19 10:34:01  qboosh
- no junk in plugins subpackages

Revision 1.3  2005/11/16 21:05:50  qboosh
- more cosmetics

Revision 1.2  2005/11/16 09:31:38  troll
- proper descriptions of bconds
- reenabled patches
- BR: gtk2-devel >= 2.4.0
- updated descriptions
- lots of cosmetics

Revision 1.1  2005/11/16 06:30:17  troll
- Initial checkin based on the bmp.spec, NFY
